Skip to main content
POST
https://api.dintero.com/v1
/
accounts
/
{oid}
/
auth
/
redirect
aid_auths_oauth_redirect_post
curl --request POST \
  --url https://api.dintero.com/v1/accounts/{oid}/auth/redirect \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "redirect_uri": "<string>"
}
'
{
  "redirect_uri": "https://example.dintero.com/reports/123.pdf?id_token=XB..."
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

oid
string<^[PT]{1}(?=(?:.{3}|.{8})$)[0-9]*$>
required

An id that uniquely identifies the account or owner (partner)

Body

application/json
redirect_uri
string<uri>
required

The HTTP URL to redirect to

Pattern: ^https?://.*
custom_claims
object

Include custom claims to the ID token. Custom claims will be prefixed by ext_.

claims
enum<string>[]

Specify optional claims to include in the ID token

Available options:
name,
email

Response

Response with redirect URL in response body. Accept: application/json

redirect_uri
string<uri>

The HTTP URL to redirect to with ID token

Pattern: ^https?://.*
Example:

"https://example.dintero.com/reports/123.pdf?id_token=XB..."

Last modified on May 12, 2026